#include<iostream.h>
#include<conio.h>
#include<math.h>

void main(){
	float x1, x2, y1, y2, m, d, ang, temp, b;

	clrscr();
	cout <<"-------------------------------------------------------------------------\n";
	cout <<"--Siendo (x1,y1) y (x2,y2) las coordenadas rectangulares de dos puntos,--\n";
	cout <<"-------------digite los datos conforme se le vayan pidiendo.-------------\n";
	cout <<"-------------------------------------------------------------------------\n\n";
	cout <<"Digite el valor de la variable x1: ";
	cin >>x1;
	cout<<"Digite el valor de la variable y1: ";
	cin >>y1;
	cout<<"Digite el valor de la variable x2: ";
	cin >>x2;
	cout<<"Digite el valor de la variable y2: ";
	cin >>y2;

	m = (y2-y1)/(x2-x1);

	cout <<"\nLa pendiente equivale a " <<m <<"\n";
	b=-m*x1+y1;
	cout<<"\nDada la ecuacion <Y=m.X+b>, su solucion seria esta: \n";
	if(b>=0){
		cout<<"Y="<<m<<" X + "<<b;
	}
	else{
		cout<<"Y="<<m<<" X "<<b;
	}
	ang= atan(m);
	cout<<"\n\nEl angulo que forma la recta con el eje X es "<<ang<<"\n";
	
	d=sqrt( (x2-x1)*(x2-x1)+(y2-y1)*(y2-y1) );
	cout<<"La distancia entre los dos puntos es: " <<d <<"\n";

	getch();
}